/* File constant.h 
* 
* Programmed by Jack W. Crenshaw, Crenshaw Technologies 
* 
* Defines commonly used constants for use by other modules 
* The constants are actually declared in file constant.cpp, 
* and are global. 
*
*/

#ifndef CONSTANT_H   
#define CONSTANT_H

extern double pi;
extern double halfpi;
extern double pi_over_four;
extern double pi_over_six;
extern double twopi;
extern double radians_per_degree;
extern double degrees_per_radian;
extern double root_2;
extern double sin_45;
extern double sin_30;
extern double cos_30;
extern double BIG_FLOAT;
extern double ln2;

#ifdef NEW_CODE
extern const double pi;
extern const double halfpi;
extern double pi_over_four;
extern double pi_over_six;
extern const double twopi;
extern const double radians_per_degree;
extern const double degrees_per_radian;
extern const double root_2;
extern const double sin_45;
extern double sin_30;
extern double cos_30;
extern double BIG_FLOAT;
extern double ln2;
#endif

void InitializeConstants(void);


#endif
